Subject: Re: proposed new section for DIAMETER base specification

From: Pat Calhoun <[email-masked]>
Date: Wed, 10 Jan 2001 13:50:59 -0800 (PST)

>
> It seems a bit odd to set the "Expect Reply" bit in a Reply message, and
> probably an Answer message as well, since neither of which directly solicit
> a Reply.

Agreed, and the text would actually look like:

----
[...]
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |RADIUS PCC=254 |r r E I R| Ver |         Message Length        |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
[...]
   Flags
      The Message Flags field is five bits.  The following bits are
      assigned:

         r(eserved) MUST be zero - this flag bit is reserved for future use.
         E(xpected Reply) - The message solicits a response.
         I(nterrogation) - The message is a Query or a Reply.
         R(esponse) - The message is a response another message.

      These flags are set depending on the command code used in a
      DIAMETER message.  This enables the type of message to be
      interpreted, even if the specific command code is not recognized.

      Command Type   Flags Set
      Indication      - - -
      Request         E - -
      Answer          - - R
      Query           E I -
      Reply           - I R

      A DIAMETER node MUST NOT set these flags in any other combination.
      A DIAMETER node receiving a message in which these flags are not
      set appropriately SHOULD NOT reject the message for this reason,
      but MAY log the event for diagnosis.
----

Any objections? This text was in the solutions I-D (or similar text), and no
objections were received. Further, I think that this information is VERY
important for proxies, since they need to know when a message is a request or
a response (especially important when they do not support the extension, but
still wish to route the message).

Of course, there is also the question of removing the PCC or not.

PatC

---

From: David Frascone <[email-masked]>
Date: Wed, 10 Jan 2001 16:04:49 -0600

I don't see any need for the PCC now that Diameter is *not* running over UDP.